Package fr.gouv.vitam.functionaltest.cucumber.step

# Class AccessionRegisterStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.AccessionRegisterStep

public class AccessionRegisterStep extends CommonStep
Step defining Accession register behavior

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessionRegisterStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `metadata_accession_register_detail_are(io.cucumber.datatable.DataTable dataTable)`
  Check accession register detail data for first result
  `void`
  `metadata_accession_register_detail_are_for_particular_result(int resultNumber, io.cucumber.datatable.DataTable dataTable)`
  Check accession register detail data for result given
  `void`
  `metadata_accession_register_summary_are(io.cucumber.datatable.DataTable dataTable)`
  Check accession register summary data for first result
  `void`
  `metadata_accession_register_summary_are_for_particular_result(int resultNumber, io.cucumber.datatable.DataTable dataTable)`
  Check accession register summary data for result given
  `void`
  `number_of_accession_register_detail_result_are(int numberOfResults)`
  Count the number of results for accession details summary result
  `void`
  `number_of_accession_register_summary_result_are(int numberOfResults)`
  Count the number of results for accession register summary result
  `void`
  `search_accession_register()`
  Search accession register summary by query
  `void`
  `search_accession_register_details()`
  Search accession register details by query
  `void`
  `search_accession_regiter_detail(String originatingAgency)`
  Search accession register detail by query in originating agency

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessionRegisterStep

    public AccessionRegisterStep(World world)

- ## Method Details

  - ### search_accession_register

    @When("^je recherche les registres de fond$") public void search_accession_register() throws Throwable
    Search accession register summary by query
    Throws:
      `Throwable`

  - ### search_accession_register_details

    @When("^je recherche les d\u00e9tails des registres de fonds$") public void search_accession_register_details() throws Throwable
    Search accession register details by query
    Throws:
      `Throwable`

  - ### search_accession_regiter_detail

    @When("^je recherche les d\u00e9tails des registres de fond pour le service producteur (.*)$") public void search_accession_regiter_detail(String originatingAgency) throws Throwable
    Search accession register detail by query in originating agency
    Parameters:
      `originatingAgency` - originating agency
    Throws:
      `Throwable`

  - ### number_of_accession_register_summary_result_are

    @Then("^le nombre de registres de fond est (\\d+)$") public void number_of_accession_register_summary_result_are(int numberOfResults) throws Throwable
    Count the number of results for accession register summary result
    Parameters:
      `numberOfResults` - number of results expected
    Throws:
      `Throwable`

  - ### number_of_accession_register_detail_result_are

    @Then("^le nombre de d\u00e9tails du registre de fond est (\\d+)$") public void number_of_accession_register_detail_result_are(int numberOfResults) throws Throwable
    Count the number of results for accession details summary result
    Parameters:
      `numberOfResults` - number of results expected
    Throws:
      `Throwable`

  - ### metadata_accession_register_summary_are

    @Then("^les metadonn\u00e9es pour le registre de fond sont$") public void metadata_accession_register_summary_are(io.cucumber.datatable.DataTable dataTable) throws Throwable
    Check accession register summary data for first result
    Parameters:
      `dataTable` - expected results
    Throws:
      `Throwable`

  - ### metadata_accession_register_detail_are

    @Then("^les metadonn\u00e9es pour le d\u00e9tail du registre de fond sont$") public void metadata_accession_register_detail_are(io.cucumber.datatable.DataTable dataTable) throws Throwable
    Check accession register detail data for first result
    Parameters:
      `dataTable` - expected results
    Throws:
      `Throwable`

  - ### metadata_accession_register_summary_are_for_particular_result

    @Then("^les metadonn\u00e9es pour le registre de fond num\u00e9ro (\\d+) sont$") public void metadata_accession_register_summary_are_for_particular_result(int resultNumber, io.cucumber.datatable.DataTable dataTable) throws Throwable
    Check accession register summary data for result given
    Parameters:
      `resultNumber` - result number
      `dataTable` - expected results
    Throws:
      `Throwable`

  - ### metadata_accession_register_detail_are_for_particular_result

    @Then("^les metadonn\u00e9es pour le d\u00e9tail du registre de fond num\u00e9ro (\\d+) sont$") public void metadata_accession_register_detail_are_for_particular_result(int resultNumber, io.cucumber.datatable.DataTable dataTable) throws Throwable
    Check accession register detail data for result given
    Parameters:
      `resultNumber` - result number
      `dataTable` - expected results
    Throws:
      `Throwable`